| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/poly2d.h File Reference

General 2D polygon. More...

`#include "csextern.h"`
`#include "csgeom/vector2.h"`

Go to the source code of this file.

## Classes
class | csPoly2D
| The following class represents a general 2D polygon. More...
class | csPoly2DFactory
| This factory is responsible for creating csPoly2D objects or subclasses of csPoly2D. More...

## Detailed Description

General 2D polygon.

Definition in file poly2d.h.